engine: Enable deployment for new engine verify jobs
Change-Id: Iea393e5624fdf86aeff6e75bb5df12badff59368
diff --git a/jjb/engine/engine-verify-jobs/scripts/package.sh b/jjb/engine/engine-verify-jobs/scripts/package.sh
new file mode 100755
index 0000000..c175f5e
--- /dev/null
+++ b/jjb/engine/engine-verify-jobs/scripts/package.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+# ============LICENSE_START=======================================================
+# Copyright (C) 2019 The Nordix Foundation. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+set -o nounset
+set -o errexit
+set -o pipefail
+
+if [[ "$EXECUTION_MODE" == "offline-deployment" ]]; then
+ echo "Info : Offline deployment. Proceeding with packaging."
+ cd $WORKSPACE/engine
+ ./package.sh
+else
+ echo "Info : Online deployment. Skipping packaging."
+fi